<?php
/**
* @package		EasySocial
* @copyright	Copyright (C) 2010 - 2012 Stack Ideas Sdn Bhd. All rights reserved.
* @license		GNU/GPL, see LICENSE.php
* EasySocial is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
* See COPYRIGHT.php for copyright notices and details.
*/
defined ( '_JEXEC' ) or die ( 'Unauthorized Access' );

// We need the router
require_once (JPATH_ROOT . '/components/com_content/helpers/route.php');

/**
 * Profile view for article app
 *
 * @since 1.0
 * @access public
 */
class JLexReviewViewProfile extends SocialAppsView {
	/**
	 * Displays the application output in the canvas.
	 *
	 * @since 1.0
	 * @access public
	 * @param
	 *        	int		The user id that is currently being viewed.
	 */
	public function display($userId = null, $docType = null) {
		// Get the user params
		$app = JFactory::getApplication ();
		$method = strtoupper ( $app->input->getMethod () );
		
		$params = $this->getUserParams ( $userId );
		
		// Get the app params
		$appParams = $this->app->getParams ();
		
		$user = Foundry::user ( $userId );
		
		$ajax_status = $this->isXMLHttpRequest ();
		if ($ajax_status == - 1) {
			$data = $method != 'GET' ? $this->initAjax () : $this->nonAjax ( $userId );
		} else {
			$data = $ajax_status ? $this->initAjax () : $this->nonAjax ( $userId );
		}
		
		$this->set ( 'user', $user );
		$this->set ( 'review', $data );
		
		echo parent::display ( 'profile/default' );
	}
	private function isXMLHttpRequest() {
		if (! function_exists ( 'apache_request_headers' )) {
			return - 1;
		}
		$headers = apache_request_headers ();
		if (! array_key_exists ( 'X-Requested-With', $headers )) {
			return - 1;
		}
		return $headers ['X-Requested-With'] == 'XMLHttpRequest';
	}
	private function nonAjax($userId) {
		$loader = JPATH_ROOT . '/components/com_jlexreview/load.php';
		if (! JFile::exists ( $loader )) {
			return false;
		}
		require_once $loader;
		$data = JLexReviewLoad::init ( '', 'easysocial', $userId );
		return $data;
	}
	private function initAjax() {
		$data = 'Please wait...<script type="text/javascript">window.location = window.location</script>';
		return $data;
	}
}